Bug 61186 - Alt+Button1+drag does not work anymore in vncserver
Alt+Button1+drag does not work anymore in vncserver
Product: Red Hat Linux
Classification: Retired
Component: vnc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
David Lawrence
Depends On:
Blocks: 635619
  Show dependency treegraph
Reported: 2002-03-14 18:48 EST by Oliver Schulze L.
Modified: 2013-04-30 19:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-13 09:37:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oliver Schulze L. 2002-03-14 18:48:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
In vnc-server-3.3.3r2-14 running on RedHat Linux 7.1 and vncviewer running in
Windows 2000 Pro, you can use the combination Alt+MouseButton1  to move windows
in the vncserver display.

In Linux I'm using Ximian Gnome 1.4 and swafish WM.

When I upgrade to vnc-server-3.3.3r2-18.3 , this feature is no longer

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start Gnome in vncserver
2. Try to move a Window usgin Alt+MouseButton1
3. You can't

Expected Results:  You should be able to move the window

Additional info:
Short Description: can't move a window using Alt+MouseBottom1
Comment 1 Tim Waugh 2002-03-20 10:21:49 EST
Can you try giving the -compatiblekdb option to the VNC server to see if that
makes it work again?
Comment 2 Oliver Schulze L. 2002-03-23 12:36:09 EST
This is my config:
- vnc-server-3.3.3r2-14
- RedHat 7.1

- vnc-3.3.3r2-18
- RedHat 7.2

I can't try the option -compatiblekdb because that option is not supported in
the vnc-server version installed on RedHat 7.1

Maybe the problem is in vncviewer?

Comment 3 Tim Waugh 2002-04-02 03:40:33 EST
I don't understand: I thought you said you had upgraded to vnc-server-3.3.3r2-18.3?
Comment 4 Oliver Schulze L. 2002-08-11 12:19:37 EDT
I upgraded again to RedHat 7.3 and in RH7.3 the vnc-server version is: 
I can reproduce this bug using this version of vnc-server running in Linux 
and a client running WindowsXP and this versions of vnc-clients:
- TightVNC 1.2.3
- Official vnc-client vnc-3.3.3r9

It seems that the Alt key pressed in Windows does not get passed to the
vnc-server or the vnc-server does not understand the Alt key.

I have restored the vnc-server in the Linux server with this version:
and now the Alt key works again. No change made to the X11 session, so I 
conclude that the problem is in the vnc-server shipped with RedHat 7.3

Sorry about the delay

Comment 5 Oliver Schulze L. 2002-08-11 12:24:17 EDT
Here are some links:
Comment 6 Bill Nottingham 2006-08-07 14:50:54 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 7 Adam Tkac 2006-10-11 06:48:07 EDT
Hi, please, try to reproduce this bug with latest vnc.
Comment 8 Adam Tkac 2006-10-13 09:37:02 EDT
I'm going to close this bug because RHL doesn't have support. If the bug is in
latest vnc release, I'm ready to reopen this bug

Note You need to log in before you can comment on or make changes to this bug.